package intrinsic.mx.events;

public class ScrollEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public String direction;
	public double delta;
	public String detail;
	public double position;

	/** Constants */
	public static final String VERSION = "version";
	public static final String SCROLL = "scroll";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ScrollEvent() {
}

public ScrollEvent(String arg0) {
}

public ScrollEvent(String arg0, boolean arg1) {
}

public ScrollEvent(String arg0, boolean arg1, boolean arg2) {
}

public ScrollEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public ScrollEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4) {
}

public ScrollEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4, String arg5) {
}

public ScrollEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4, String arg5, double arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
